DOVEADM-INSTANCE(1)

NAME
doveadm-instance - Manage the list of running Dovecot instances

SYNOPSIS

doveadm [GLOBAL OPTIONS] instance list [-c] [name]

doveadm [GLOBAL OPTIONS] instance remove name

DESCRIPTION

The doveadm instance commands are used to manage the list of Dovecot instances running on the server. In most installations there is only one Dovecot instance, but in some cases is may be useful to have more (e.g. running proxy and backend in the same server).

Instances are added to the list automatically when Dovecot is started. Each instance is uniquely identified by its base_dir setting. Instances can be named by setting instance_name in each instance's dovecot.conf. When an instance is named, it can be accessed easily by giving -i instance_name command line parameter for Dovecot binaries (e.g. doveadm).

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

ARGUMENTS

name

        The value of an instance's instance_name setting. Each instance can also be uniquely identified by its base_dir setting.

COMMANDS

  instance list

doveadm [GLOBAL OPTIONS] instance list [-c] [name]

This command lists the seen Dovecot instances.

-c

        Output the config path instead of instance information.

  instance remove

doveadm [GLOBAL OPTIONS] instance remove name

This command removes the specified instance.

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)